%define _unpackaged_files_terminate_build 0

%define _java_ver		1.8.0
%define _java_rel		161
%define _java_home		/usr/java

#define java_rel		0%{_java_rel}
%define java_rel		%{_java_rel}

#
# Don't make debug package
#
%define debug_package %{nil}

#
# Don't strip binary
# if follow define list is set, change first character # to %
# (#)(%)define is not permitted, only (#)define (for comment) or (%)define
#
%define __spec_install_post %{nil}
%define __find_requires %{nil}
%define _use_internal_dependency_generator 0
%define __jar_repack %{nil}

Summary: Java(TM) Platform Standard Edition Runtime Environment
Name: oracle-jre
Version: %{_java_ver}
Release: %{_java_rel}%{?dist}
Epoch: 0
Group: Development/Tools
License: Oracle Binary Code License (BCL)
URL: http://www.oracle.com/technetwork/java/javase/downloads/index.html
#Source0: jre-%{version}_%{java_rel}.tar.bz2
Source1: jre.profile.csh
Source2: jre.profile.sh
Source3: fontconfig.properties
Source4: ko-fonts.tar.gz
Source100: jre-mksource.sh
Buildroot: %{_tmppath}/jre-%{version}_%{java_rel}-root
Requires: /bin/basename /bin/cat /bin/cp /bin/gawk /bin/grep
Requires: /bin/ln /bin/ls /bin/mkdir /bin/mv /bin/pwd /bin/rm
Requires: /bin/sed /bin/sort /bin/touch /usr/bin/cut /usr/bin/dirname
Requires: /usr/bin/expr /usr/bin/find /usr/bin/tail /usr/bin/tr
Requires: /usr/bin/wc /bin/sh
Conflicts: jre
Provides: sun-jre

%description
The Java Platform Standard Edition Runtime Environment (JRE) contains
everything necessary to run applets and applications designed for the
Java platform. This includes the Java virtual machine, plus the Java
platform classes and supporting files.

The JRE is freely redistributable, per the terms of the included license.


%prep
%setup -c -T -n jre-%{version}_%{java_rel}

bash %{SOURCE100} %{version}_%{_java_rel} %{_arch}

%build

if [ "%{_arch}" = "x86_64" ]; then
	pushd x86_64
	carch="x86_64"
else
	pushd i386
	carch="i386"
fi

%{__rm} -f lib/fontconfig.*
%{__install} -m644 %{SOURCE3} lib/fontconfig.properties
#perl -pi -e "s/\@ARCH\@/${carch}/g" lib/fontconfig.properties
tar xvfpz %{SOURCE4}


if [ "%{_arch}" = "x86_64" ]; then
	find . -type d | sed -e 's!^\.!\%dir %{_java_home}/jre-%{version}_%{java_rel}/x86_64!g' > /tmp/jre.list
	find . -type f -o -type l | sed -e 's!^\.!%{_java_home}/jre-%{version}_%{java_rel}/x86_64!g' >> /tmp/jre.list
else
	find . -type d | sed -e 's!^\.!\%dir %{_java_home}/jre-%{version}_%{java_rel}/i386!g' > /tmp/jre.list
	find . -type f -o -type l | sed -e 's!^\.!%{_java_home}/jre-%{version}_%{java_rel}/i386!g' >> /tmp/jre.list
fi

popd

%install
# create directorys 
[ -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} -p %{buildroot}%{_sysconfdir}/profile.d

%{__install} -m755 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/jre.csh
%{__install} -m755 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/jre.sh

# remove 1.8
#cp -af etc/.java/ %{buildroot}%{_sysconfdir}/

if [ "%{_arch}" = "x86_64" ]; then
	pushd x86_64
	carch="x86_64"
else
	pushd i386
	carch="i386"
fi

%{__mkdir_p} -p %{buildroot}%{_java_home}/jre-%{version}_%{java_rel}/${carch}
cp -af * %{buildroot}%{_java_home}/jre-%{version}_%{java_rel}/${carch}/
popd

%clean
[ -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}
%{__rm} -f /tmp/jre.list

%post
[ -L "%{_java_home}/latest" ] && %{__rm} -f %{_java_home}/latest
if [ "`/bin/uname -m`" = "x86_64" ]; then
	ln -sf %{_java_home}/jre-%{version}_%{java_rel}/x86_64 %{_java_home}/latest
else
	ln -sf %{_java_home}/jre-%{version}_%{java_rel}/i386 %{_java_home}/latest
fi

if [ ! -f "%{_java_home}/default" ]; then
	ln -sf %{_java_home}/latest %{_java_home}/default
fi

%files -f /tmp/jre.list
%defattr(-,root,root)
#{_sysconfdir}/.java
%{_sysconfdir}/profile.d/jre.csh
%{_sysconfdir}/profile.d/jre.sh

# for ant-nwz

%changelog
* Sat Jan 27 2018 JoungKyun.Kim <hostmaster@oops.org> 100:1.8.0-161.an3
- update 1.8.0u161
  . http://www.oracle.com/technetwork/java/javase/8u161-relnotes-4021379.html

- security issues
  . http://www.oracle.com/technetwork/security-advisory/cpujan2018-3236628.html
  . CVE-2018-2633 Deployment component. Remote
  . CVE-2018-2637 JMX component. Remote
  . CVE-2018-2634 JGSS component. Remote
  . CVE-2018-2582 Hotspot component. Remote
  . CVE-2018-2641 AWT component. Remote
  . CVE-2018-2618 JCE component. Remote
  . CVE-2018-2629 JGSS component. Remote
  . CVE-2018-2603 Libraries component. Remote
  . CVE-2018-2599 JNDI component. Remote
  . CVE-2018-2602 I18n component. Local
  . CVE-2018-2677 AWT component. Remote
  . CVE-2018-2678 JNDI component. Remote
  . CVE-2018-2588 LDAP component. Remote
  . CVE-2018-2663 Libraries component. Remote
  . CVE-2018-2675 Server component. Remote
  . CVE-2018-2579 Libraries component. Remote

* Sat Oct 21 2017 JoungKyun.Kim <hostmaster@oops.org> 100:1.8.0-151%{?dist}
- update 1.8.0u151
  . http://www.oracle.com/technetwork/java/javase/8u151-relnotes-3850493.html

- security issues
  . http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html
  . CVE-2017-10346 Hotspot component. Enabled remote attack without auth
  . CVE-2017-10285 RMI component. Enabled remote attack without auth
  . CVE-2017-10388 Libraries component(Kerberos). Enabled remote attack without auth
  . CVE-2017-10309 Deployment component. Enabled remote attack without auth
  . CVE-2017-10274 Smart Card IO component. Enabled remote attack without auth
  . CVE-2017-10356 Security component. No
  . CVE-2017-10293 Javadoc component(HTTP). Enabled remote attack without auth
  . CVE-2017-10350 JAX-WS component. Enabled remote attack without auth
  . CVE-2017-10349 JAXP component. Enabled remote attack without auth
  . CVE-2017-10348 Libraries component. Enabled remote attack without auth
  . CVE-2017-10357 Serialization component. Enabled remote attack without auth
  . CVE-2016-9841 Util (zlib) component. Enabled remote attack without auth
  . CVE-2016-10165 2D (Little CMS 2) component. Enabled remote attack without auth
  . CVE-2017-10355 Networking component. Enabled remote attack without auth
  . CVE-2017-10281 Serialization component. Enabled remote attack without auth
  . CVE-2017-10347 Serialization component. Enabled remote attack without auth
  . CVE-2017-10295 Networking component(HTTP). Enabled remote attack without auth
  . CVE-2017-10345 Serialization component. Enabled remote attack without auth


* Sat Jul 29 2017 JoungKyun.Kim <hostmaster@oops.org> 100:1.8.0-144%{?dist}
- update 1.8.0u144
  . http://www.oracle.com/technetwork/java/javase/8u144-relnotes-3838694.html

- security issues
  . http://www.oracle.com/technetwork/security-advisory/cpuapr2017-3236618.html
  . CVE-2017-10110 Low  AWT
  . CVE-2017-10089 Low  ImageIO
  . CVE-2017-10086 Low  JavaFX
  . CVE-2017-10096 Low  JAXP
  . CVE-2017-10101 Low  JAXP
  . CVE-2017-10087 Low  Libraries
  . CVE-2017-10090 Low  Libraries
  . CVE-2017-10111 Low  Libraries
  . CVE-2017-10107 Low  RMI
  . CVE-2017-10102 High RMI
  . CVE-2017-10114 High JavaFX
  . CVE-2017-10074 High Hotspot
  . CVE-2017-10116 High Security
  . CVE-2017-10078 Low  Scripting
  . CVE-2017-10067 High Security
  . CVE-2017-10115 Low  JCE
  . CVE-2017-10118 Low  JCE
  . CVE-2017-10176 Low  Security
  . CVE-2017-10125 High Deployment
  . CVE-2017-10198 High Security
  . CVE-2017-10243 Low  JAX-WS
  . CVE-2017-10135 High JCE
  . CVE-2017-10053 Low  2D
  . CVE-2017-10108 Low  Serialization
  . CVE-2017-10109 Low  Serialization
  . CVE-2017-10105 Low  Deployment
  . CVE-2017-10081 Low  Hotspot
  . CVE-2017-10193 High Security

* Sun Apr 30 2017 JoungKyun.Kim <hostmaster@oops.org> 100:1.8.0-131%{?dist}
- update 1.8.0u131
  . http://www.oracle.com/technetwork/java/javase/2col/8u131-bugfixes-3565760.html

- security issues
  . http://www.oracle.com/technetwork/security-advisory/cpuapr2017-3236618.html
  . CVE-2017-3512 AWT
  . CVE-2017-3514 AWT
  . CVE-2017-3511 JCE
  . CVE-2017-3526 JAXP
  . CVE-2017-3509 Networking
  . CVE-2017-3533 Networking
  . CVE-2017-3544 Networking
  . CVE-2017-3539 Security

* Tue Mar 21 2017 JoungKyun.Kim <http://oops.org> 100:1.8.0-121%{?dist}
- update 1.8.0u121
- security issues
  . CVE-2017-3289
  . CVE-2017-3272
  . CVE-2017-3241
  . CVE-2017-3260
  . CVE-2017-3253
  . CVE-2016-5546
  . CVE-2016-5549
  . CVE-2016-5548
  . CVE-2017-3252
  . CVE-2017-3262
  . CVE-2016-5547
  . CVE-2016-5552
  . CVE-2017-3231
  . CVE-2017-3261
  . CVE-2017-3259
  . CVE-2016-8328
  . CVE-2016-2183

* Wed Oct 26 2016 JoungKyun.Kim <http://oops.org> 100:1.8.0-111%{?dist}
- update 1.8.0u111
- security issues
  . CVE-2016-5542
    allows remote attackers to affect integrity via vectors related to Libraries.
  . CVE-2016-5554
    allows remote attackers to affect integrity via vectors related to JMX.
  . CVE-2016-5556
    allows remote attackers to affect confidentiality, integrity, and availability via
    vectors related to 2D.
  . CVE-2016-5568
    allows remote attackers to affect confidentiality, integrity, and availability via
    vectors related to AWT.
  . CVE-2016-5573
    allows remote attackers to affect confidentiality, integrity, and availability via
    vectors related to Hotspot, a different vulnerability than CVE-2016-5582.
  . CVE-2016-5582
    allows remote attackers to affect confidentiality, integrity, and availability via
    vectors related to Hotspot, a different vulnerability than CVE-2016-5573.
  . CVE-2016-5597
    allows remote attackers to affect confidentiality via vectors related to Networking.

* Wed Jul 20 2016 JoungKyun.Kim <http://oops.org> 100:1.8.0-101%{?dist}
- update 1.8.0 u101
- security issues
  . CVE-2016-3587
  . CVE-2016-3606
  . CVE-2016-3598
  . CVE-2016-3610
  . CVE-2016-3552
  . CVE-2016-3511
  . CVE-2016-3503
  . CVE-2016-3498
  . CVE-2016-3500
  . CVE-2016-3508
  . CVE-2016-3458
  . CVE-2016-3550
  . CVE-2016-3485

* Sat Apr 23 2016 JoungKyun.Kim <http://oops.org> 100:1.8.0-91%{?dist}
- update 1.8.0 u91
- security issues
  . CVE-2016-3443
  . CVE-2016-0687
  . CVE-2016-0686
  . CVE-2016-3427
  . CVE-2016-3449
  . CVE-2016-3422
  . CVE-2016-3425
  . CVE-2016-3426
  . CVE-2016-0695

* Fri Mar 25 2016 JoungKyun.Kim <http://oops.org> 100:1.8.0-77%{?dist}
- update 1.8.0 u77
- security issues
  . CVE-2016-0636

* Wed Feb  3 2016 JoungKyun.Kim <http://oops.org> 100:1.8.0-71%{?dist}
- update 1.8.0 u71
- security issues
  . CVE-2016-0494
  . CVE-2015-8126
  . CVE-2016-0483
  . CVE-2016-0475
  . CVE-2016-0402
  . CVE-2016-0466
  . CVE-2016-0448
  . CVE-2015-757

* Wed Oct 28 2015 JoungKyun.Kim <http://oops.org> 100:1.8.0-65%{?dist}
- update 1.8.0 u65
- security issues
  . CVE-2015-4835
  . CVE-2015-4881
  . CVE-2015-4843
  . CVE-2015-4883
  . CVE-2015-4860
  . CVE-2015-4805
  . CVE-2015-4844
  . CVE-2015-4901
  . CVE-2015-4868
  . CVE-2015-4810
  . CVE-2015-4806
  . CVE-2015-4902
  . CVE-2015-4840
  . CVE-2015-4882
  . CVE-2015-4842
  . CVE-2015-4734
  . CVE-2015-4903
  . CVE-2015-4803
  . CVE-2015-4893
  . CVE-2015-4911
  . CVE-2015-4872
  . CVE-2015-4906
  . CVE-2015-4916
  . CVE-2015-4908

* Mon Jul 20 2015 JoungKyun.Kim <http://oops.org> 100:1.8.0-51%{?dist}
- update 1.8.0 u51
- security issues
  . CVE-2015-0469
  . CVE-2015-0459
  . CVE-2015-0491
  . CVE-2015-0460
  . CVE-2015-0492
  . CVE-2015-0458
  . CVE-2015-0484
  . CVE-2015-0480
  . CVE-2015-0486
  . CVE-2015-0488
  . CVE-2015-0477
  . CVE-2015-0470
  . CVE-2015-0478
  . CVE-2015-4760
  . CVE-2015-2628
  . CVE-2015-4731
  . CVE-2015-2590
  . CVE-2015-4732
  . CVE-2015-4733
  . CVE-2015-2638
  . CVE-2015-4736
  . CVE-2015-4748
  . CVE-2015-2597
  . CVE-2015-2664
  . CVE-2015-2632
  . CVE-2015-2601
  . CVE-2015-2613
  . CVE-2015-2621
  . CVE-2015-2659
  . CVE-2015-2619
  . CVE-2015-2637
  . CVE-2015-4749
  . CVE-2015-4729
  . CVE-2015-4000
  . CVE-2015-2808
  . CVE-2015-2627
  . CVE-2015-2625

* Mon Jan 26 2015 JoungKyun.Kim <http://oops.org> 100:1.8.0-31%{?dist}
- update 1.8.0 u31
- security issues
  . CVE-2014-6601   
  . CVE-2015-0412   
  . CVE-2014-6549   
  . CVE-2015-0408   
  . CVE-2015-0395   
  . CVE-2015-0437   
  . CVE-2015-0403   
  . CVE-2015-0421   
  . CVE-2015-0406   
  . CVE-2015-0383 
  . CVE-2015-0400   
  . CVE-2015-0407   
  . CVE-2015-0410 
  . CVE-2014-6587   
  . CVE-2014-3566
  . CVE-2014-6593
  . CVE-2014-6585   
  . CVE-2014-6591   
  . CVE-2015-0413

* Sat Jan 17 2015 JoungKyun.Kim <http://oops.org> 100:1.8.0-25%{?dist}
- rebuilt on AN3

* Mon Oct 20 2014 JoungKyun.Kim <http://oops.org> 0:1.8.0-25%{?dist}
- update 1.8.0 u25
- security issues
  . CVE-2014-6513
  . CVE-2014-6532
  . CVE-2014-6503
  . CVE-2014-6456
  . CVE-2014-6562
  . CVE-2014-6485
  . CVE-2014-6492
  . CVE-2014-6493
  . CVE-2014-4288
  . CVE-2014-6466
  . CVE-2014-6458
  . CVE-2014-6468
  . CVE-2014-6506
  . CVE-2014-6511
  . CVE-2014-6476
  . CVE-2014-6515
  . CVE-2014-6519
  . CVE-2014-6517
  . CVE-2014-6531
  . CVE-2014-6512
  . CVE-2014-6457
  . CVE-2014-6527
  . CVE-2014-6502
  . CVE-2014-6558

* Fri Sep 26 2014 JoungKyun.Kim <http://oops.org> 0:1.8.0-20%{?dist}
- update 1.8.0 u20

